/*

	File:		UPrinting.cp
	Project:	Sprocket Framework 1.1 (DR2), released 6/15/96
	Contains:	Printing utilities
	To Do:		?

	Sprocket Major Contributors:
	----------------------------
	Dave Falkenburg, producer of Sprocket 1.0
	Bill Hayden,	 producer of Sprocket 1.1
	Steve Sisak,	 producer of the upcoming Sprocket 2.0
	
	Pete Alexander		Steve Falkenburg	Randy Thelen
	Eric Berdahl		Nitin Ganatra		Chris K. Thomas
	Marshall Clow		Dave Hershey		Leonard Rosenthal
	Tim Craycroft		Dave Mark			Dean Yu
	David denBoer		Gary Powell
	Cameron Esfahani	Jon Summers			Apple Computer, Inc.
		
	Comments, Additions, or Corrections:
	------------------------------------
	Bill Hayden, Nikol Software <nikol@codewell.com>

*/




#if	qUseQuickDrawGX

#include "Sprocket.h"

#include "UPrinting.h"

#include <GXEnvironment.h>
#include <GXGraphics.h>
#include <GXPrinting.h>


//	PrintingEventOverride is our generic event handler for QuickDrawGX.
//	It allows us to handle events while the QuickDrawGX movable modal
//	printing dialogs are displayed.

OSErr PrintingEventOverrideForGX(EventRecord *anEvent, Boolean filterEvent)
{
	if (!filterEvent)
		switch (anEvent->what)
			{
			case mouseDown:
			case keyDown:
			case autoKey:
				break;

			default:
				HandleEvent(anEvent);
			}

	return noErr;
}

#endif
